<div *ngIf="episode && episode.getChannel()" style="display: none">
    <div itemscope
            itemtype="http://schema.org/NewsArticle">
        <meta itemprop="mainEntityOfPage"
              content="http://www.telewebion.com/episode/{{episode.getId()}}">
        <h2 itemprop="headline">{{episode.getTitle()}}</h2>
        <h3 itemprop="author"
            itemscope
            itemtype="https://schema.org/Person">
            By
            <span itemprop="name">تلوبیون</span>
        </h3>
        <span itemprop="description">{{episode.getPageDescription() ? episode.getPageDescription() : episode.getTitle() + ' ، ' + ' تلوبیون مرجع پخش زنده شبکه های تلویزیون ، دانلود رایگان فیلم ایرانی و خارجی ، دانلود انیمیشن و کارتن ، سریال آرشیو و برناهه های صدا و سیما'}}</span>
        <div itemprop="image"
             itemscope
             itemtype="https://schema.org/ImageObject">
            <img src="{{episode.getLargePicturePath()}}"/>
            <meta itemprop="url"
                  content="{{episode.getLargePicturePath()}}">
            <meta itemprop="width"
                  content="480">
            <meta itemprop="height"
                  content="324">
        </div>
        <div itemprop="publisher"
             itemscope
             itemtype="https://schema.org/Organization">
            <div itemprop="logo"
                 itemscope
                 itemtype="https://schema.org/ImageObject">
                <img
                        src="http://static.televebion.net/web/content_images/channel_images/thumbs/new/120/v1/{{episode.getChannel().getDescriptor()}}.png"/>
                <meta itemprop="url"
                      content="http://static.televebion.net/web/content_images/channel_images/thumbs/new/120/v1/{{episode.getChannel().getDescriptor()}}.png">
                <meta itemprop="width"
                      content="60">
                <meta itemprop="height"
                      content="60">
            </div>
            <meta itemprop="name"
                  content="{{episode.getChannel().getName()}}">
        </div>
        <meta itemprop="datePublished"
              content="{{ episode.getShowTime() }}+3:30"/>
        <meta itemprop="dateModified"
              content="{{ episode.getShowTime() }}+3:30"/>
    </div>

    <div itemprop="video" itemscope itemtype="http://schema.org/VideoObject">
        <h2>Video:
            <span itemprop="name">{{ episode.getTitle()}}</span>
        </h2>
        <meta itemprop="duration"
              content="PT{{episode.getDurationMins() | removeApostrophe}}"/>
        <meta itemprop="thumbnailUrl"
              content="{{episode.getLargePicturePath()}}"/>
        <meta itemprop="interactionCount"
              content="{{episode.getViewCount()}}"/>
        <meta itemprop="contentURL"
              content="{{episode.getVodLink() && episode.getVodLink().length > 0 ? episode.getVodLink()[0].link : ''}}"/>
        <meta itemprop="embedURL"
              content="http://m.telewebion.com/embed/vod?EpisodeID={{episode.getId()}}"/>
        <meta itemprop="uploadDate"
              content="{{ episode.getShowTime() }}+3:30"/>
        <meta itemprop="mainEntityOfPage"
              content="http://www.telewebion.com/episode/{{episode.id}}"/>
        <object>
            <param>
            <!--<embed type="application/x-shockwave-flash">-->
        </object>
        <span itemprop="description">{{episode.getPageDescription() ? episode.getPageDescription() : episode.getTitle() + ' ، ' + ' تلوبیون مرجع پخش زنده شبکه های تلویزیون ، دانلود رایگان فیلم ایرانی و خارجی ، دانلود انیمیشن و کارتن ، سریال آرشیو و برناهه های صدا و سیما'}}</span>
    </div>


    <ol itemscope itemtype="http://schema.org/BreadcrumbList">
        <li itemprop="itemListElement"
            itemscope
            itemtype="http://schema.org/ListItem">
            <a itemtype="http://schema.org/Thing"
               itemprop="item"
               href="http://www.telewebion.com/program/{{episode.getProgram().getId()}}">
                <span itemprop="name">{{episode.getProgram().getTitle()}}</span>
            </a>
            <meta itemprop="position"
                  content="1"/>
        </li>
        ›
        <li itemprop="itemListElement"
            itemscope
            itemtype="http://schema.org/ListItem">
            <a itemtype="http://schema.org/Thing"
               itemprop="item"
               href="http://www.telewebion.com/episode/{{episode.getId()}}">
                <span itemprop="name">{{episode.getTitle()}}</span>
            </a>
            <meta itemprop="position"
                  content="2"/>
        </li>
    </ol>
</div>


<div class="container-fluid p-0">
    <div class="row no-gutters player mx-auto d-flex justify-content-center">
        <div class="radiant">
            <app-radiant-player *ngIf="episode.getTitle()"
                                [IsLive]="false"
                                class="radiant-player w-100"
                                [EpisodeLink]="episode.getVodLink()"
                                [Poster]="episode.getLargePicturePath()"></app-radiant-player>
        </div>
    </div>
    
    <div class="row no-gutters info-bar bg-tw-dark4"
         *ngIf="episode.getTitle()">
        <app-social-info-bar class="w-100"
                             [Type]="'episode'"
                             [PageId]="43"
                             [ItemId]="episode.getId()"
                             [ViewCount]="episode.getViewCount()"
                             [EpisodeTitle]="episode.getTitle()"
                             [ProgramTitle]="episode.getProgram().getTitle()"
                             [DownloadLinks]="episode.getDownloadLink()"
                             [ProgramId]="episode.getProgram().getId()"
                             [Moments]="moments_list"
                             (SeekToSec)="setPlayerMoment($event)"></app-social-info-bar>
    </div>
    
    <div class="row no-gutters">
        <app-breadcrumb-knowledge-graph
            *ngIf="episode.getTitle() && episode_fav_list && episode_fav_list.length > 0"
            class="w-100"
            [ngClass]="{'mt-4' : episode && episode_fav_list && episode_fav_list.length > 0}"
            [FavList]="episode_fav_list"></app-breadcrumb-knowledge-graph>
        <app-breadcrumb-knowledge-graph
            class="w-100 mt-2"
            *ngIf="program_fav_list && program_fav_list.length > 0"
            [ngClass]="{'mt-0' : episode && episode_fav_list && episode_fav_list.length > 0}"
            [FavList]="program_fav_list"></app-breadcrumb-knowledge-graph>
        <app-tag-bar class="w-100 mt-2"
                     [ngClass]="{'mt-4': episode_fav_list.length === 0 || program_fav_list.length === 0}"
                     *ngIf="episode && episode.getTags().length > 0"
                     [Tags]="episode.getTags()"></app-tag-bar>
    </div>
    
    <div class="row no-gutters bg-tw-dark4"
         *ngIf="episode.getTitle()">
        <app-program-description class="w-100"
                                 [Type]="'episode'"
                                 [Item]="episode"></app-program-description>
    </div>
    
    <div class="row no-gutters bg-tw-dark4"
         *ngIf="other_episodes && other_episodes.length > 0">
        <app-carousel class="w-100 "
                      [Items]="other_episodes"
                      [Title]="'دیگر قسمت های ' + episode.getProgram().getTitle() "
                      [Type]="generalService.configs.carouselTypes.episodes"></app-carousel>
    </div>
    
    <div class="row no-gutters bg-tw-dark4"
         *ngIf="related_episodes && related_episodes.length > 3">
        <app-carousel class="w-100 "
                      [Items]="related_episodes"
                      [Title]="'پیشنهاد تلوبیون'"
                      [Type]="generalService.configs.carouselTypes.episodes"></app-carousel>
    </div>
</div>
